/* Importamos todos los styles.css */
@import url('../css/footer.css');
@import url('../css/navbar.css');

/* Ajustes generales para reportes */
.reporte-container {
    min-height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* Sección de cada reporte */
.seccion-reporte {
    margin-bottom: 2rem;
}

/* Línea divisoria */
.division-reporte {
    border: 0;
    height: .4rem; /* Aumenta el grosor de la línea */
    background: linear-gradient(to right, #d48e0a, #ffa500);
    margin: 2rem 0;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.3); /* Añadir sombra */
    border-radius: 5px; /* Bordes redondeados en los extremos */
}

/* Imágenes de íconos de reporte y acción */
.imgreporte {
    width: 9rem;
    height: auto;
}

.accion {
    width: 5rem;
    height: auto;
}

.imgfooter {
    max-width: 100%;
    height: auto;
    margin-bottom: -3rem;
}

/* Ajuste de colores para textos */
.titulo-reporte {
    color: #646161;
    font-size: 5rem;
    text-decoration-thickness: 0.2rem;
    font-weight: bold;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    margin-bottom: 2rem;
}

.titulo-reporte-item {
    color: #584f4f;
    font-size: 2.8rem;
}

.texto-reporte {
    color: #aaa0a0;
    font-size: 1.5rem;
}

.link-reporte {
    color: #FFA500;
    font-weight: bold;
    text-decoration: none;
}

.link-reporte:hover {
    text-decoration: underline;
}

/* Responsividad */
@media (min-width: 992px) {
    .imgreporte {
        width: 9rem;
    }
    .accion {
        width: 5rem;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .imgreporte {
        width: 7rem;
    }
    .accion {
        width: 2rem;
    }
    .titulo-reporte-item {
        font-size: 1.9rem;
    }
    .texto-reporte {
        font-size: 1.2rem;
    }
}

@media (max-width: 767px) {
    .imgreporte {
        width: 5rem;
    }
    .accion {
        display: none;
    }
    .titulo-reporte-item {
        font-size: 1.9rem;
    }
    .texto-reporte {
        font-size: 1.2rem;
    }
}
